import { OnInit } from '@angular/core';
import { BackgroundModel, LayOutModel } from '../../styles/style.model';
import { EventsService } from '../../services/events.service';
import BaseSection from '../BaseSection';
import { TestimonialMasonryContentModel, TestimonialMasonryModel, TestimonialMasonryStyleModel } from './testimonial-masonry.model';
import * as i0 from "@angular/core";
export declare class TestimonialMasonryComponent extends BaseSection implements OnInit {
    private _eventService;
    data?: TestimonialMasonryModel | any;
    edit?: boolean;
    delete?: boolean;
    customClass?: string;
    nextComponentColor?: BackgroundModel;
    index?: number;
    content?: TestimonialMasonryContentModel;
    styles?: TestimonialMasonryStyleModel;
    screenWidth: number;
    constructor(_eventService: EventsService);
    ngOnInit(): void;
    get stylesLayout(): LayOutModel;
    get activeItems(): import("./testimonial-masonry.model").TestimonialMasonryItemModel[];
    getQuote(item: any): string;
    getAuthor(item: any): string;
    getRole(item: any): string;
    getAvatarUrl(item: any): string;
    editSection(): void;
    getScreenSize(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TestimonialMasonryComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TestimonialMasonryComponent, "simpo-testimonial-masonry", never, { "data": { "alias": "data"; "required": false; }; "edit": { "alias": "edit"; "required": false; }; "delete": { "alias": "delete"; "required": false; }; "customClass": { "alias": "customClass"; "required": false; }; "nextComponentColor": { "alias": "nextComponentColor"; "required": false; }; "index": { "alias": "index"; "required": false; }; }, {}, never, never, true, never>;
}
